package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 角色资源;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-2-5
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "角色资源", description = "")
@TableName("sys_role_resource")
public class SysRoleResource implements Serializable, Cloneable {
    /**
     * id
     */
    @ApiModelProperty(name = "id", notes = "")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 角色ID
     */
    @ApiModelProperty(name = "角色ID", notes = "")
    private String roleId;
    /**
     * 资源ID
     */
    @ApiModelProperty(name = "资源ID", notes = "")
    private String resourceId;
    /**
     * 资源类型
     */
    @ApiModelProperty(name = "资源类型", notes = "")
    private String resourceType;

}