package com.lyg.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.system.entity.SysRoleResource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色资源;(sys_role_resource)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-2-5
 */
@Mapper
public interface SysRoleResourceMapper extends BaseMapper<SysRoleResource> {

    SysRoleResource getByRoleAndResource(@Param("roleId") String roleId,
                                         @Param("resourceId") String resourceId,
                                         @Param("resourceType") String resourceType);

    int deleteNotIn(@Param("roleId") String roleId, @Param("idList") List<String> idList);

}