package com.lyg.application.job;


import com.lyg.application.service.TaMandatoryLeaveService;
import com.lyg.application.service.TaRotationService;
import com.lyg.framework.accesslimit.AccessLimit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class MandatoryJobTime {

    @Autowired
    private TaMandatoryLeaveService taMandatoryLeaveService;

    /**
     *  定时提醒   每年12月20号8点
     * @throws Exception
     */
    @AccessLimit()
    @Scheduled(cron = "0 0 8 20 12 *")
    public void promptWarning() throws Exception {
        taMandatoryLeaveService.selectGetPrompt();
    }


}
